curl --request GET \
--url https://api.dev.name.com/core/v1/orders/{orderId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/orders/{orderId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authAmount": 123,
"createDate": "<string>",
"currency": "<string>",
"currencyRate": 123,
"finalAmount": 123,
"id": 123,
"orderItems": [
{
"duration": 123,
"id": 123,
"interval": "<string>",
"name": "<string>",
"originalPrice": 123,
"price": 123,
"quantity": 123,
"status": "<string>",
"type": "<string>",
"isRefundable": true,
"priceNonUsd": 123,
"taxAmount": 123,
"tld": "<string>"
}
],
"registrar": "<string>",
"status": "<string>",
"totalCapture": 10.95,
"totalRefund": 10.95
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}Get Order
Fetches full details about a specific order using its ID. This includes domains, prices, and timestamps. Useful for confirming transactions, receipts, or generating invoices.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
OrderId is the unique identifier of the requested order.
Response
A successful response.
Order contains all the data for an order.
AuthAmount is the amount authorized to complete the order purchase.
CreateDate is the date the order was placed.
Currency indicates currency of the order ('USD', 'CNY').
CurrencyRate is the conversion rate from USD to order's currency. This field is only populated if order's currency is non-USD.
FinalAmount is the final amount of the order, after discounts and refunds.
OrderItems is the collection of 1 or more items in the order.
Show child attributes
Show child attributes
Registrar is registrar with which order is placed.
Status indicates the state of the order ('success', 'failed').
TotalCapture is the amount captured.
10.95
TotalRefund is the amount, if any, refunded. Default is 0.00.
10.95
Was this page helpful?